aboutsummaryrefslogtreecommitdiff
path: root/tools/etc/icpc/update.sh.tmp
diff options
context:
space:
mode:
Diffstat (limited to 'tools/etc/icpc/update.sh.tmp')
-rw-r--r--tools/etc/icpc/update.sh.tmp40
1 files changed, 40 insertions, 0 deletions
diff --git a/tools/etc/icpc/update.sh.tmp b/tools/etc/icpc/update.sh.tmp
new file mode 100644
index 0000000..63a3858
--- /dev/null
+++ b/tools/etc/icpc/update.sh.tmp
@@ -0,0 +1,40 @@
+#!/bin/bash
+if [ "`id -u`" != "0" ]; then
+ echo "Script must run as root"
+fi
+
+echo "==================================================="
+echo "=================== checking for updates =========="
+echo "==================================================="
+
+wget -O /tmp/.boca.tmp "http://www.ime.usp.br/~cassio/boca/update.date.txt"
+if [ $? != 0 ]; then
+ echo "ERROR DOWNLOADING UPDATE"
+ exit 1
+fi
+di=`cat /tmp/.boca.tmp`
+lastu=0
+if [ -r /etc/icpc/.lastupdate ]; then
+ lastu=`cat /etc/icpc/.lastupdate`
+fi
+if [ "$di" == "$lastu" ]; then
+ echo "NO UPDATES AVAILABLE"
+ exit 0
+fi
+
+echo ">>>>>>>>>>"
+echo ">>>>>>>>>> Downloading update release `cat /tmp/.boca.tmp`"
+echo ">>>>>>>>>>"
+
+wget -O /tmp/.boca.tmp "http://www.ime.usp.br/~cassio/boca/update.sh"
+if [ $? != 0 ]; then
+ echo "ERROR DOWNLOADING UPDATE"
+ exit 1
+fi
+
+echo ">>>>>>>>>>"
+echo ">>>>>>>>>> Running update script"
+echo ">>>>>>>>>>"
+chmod 755 /tmp/.boca.tmp
+/tmp/.boca.tmp
+exit $?